Get Team Folder Files and Folders
This API fetches all the files and folders in a team folder.
Endpoints
OAuth Scope
curl --request GET \
--url https://www.zohoapis.com/workdrive/api/v1/teamfolders/{teamfolder_id}/files \
--header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'Path Parameters
The unique ID of a team folder.
Query Parameters
Note:
Query parameter name should be URL encoded with UTF-8 Charset. For more info, refer here
To filter by resource type.
Eg. filter[type]=documents
For list of filter type, see File filter in Filters page. Refer here
Filter resources by their file extensions.
Eg. filter[extension]=docx,jpeg
Limit indicates the number of items to be listed.
(The maximum limit is 50).
For More Details about pagination. refer here
Offset pagination returns 50 items by default. Offset indicates from where the listing should start.
You can change the limit if required.
Learn more about pagination types
Cursor pagination returns 1000 items by default. For the initial request, use 0. From the second request, use the page token from the API response.
You can change the limit if required.
Learn more about pagination types
Mention the required params to be included in the response attribute.
Eg:
parent_id,status_change_time_in_millisecond,created_time_in_millisecond,capabilities,type,name,storage_info.
To check the available fields, see the attributes given in the sample response.
Sorting can be done with these fields:
To sort in descending order, prefix the field value with a hyphen (-).
Eg. sort=-name sorts results by name in descending order.
{
"data": [
{
"id": "ly9zm4ab06bc0994343c6a24f7b11e3111037",
"type": "files",
"attributes": {
"modified_by_zuid": "747938058",
"is_locked": false,
"conv_engine_type": 1,
"is_fillable_resource": false,
"is_published": false,
"destination_id": "ly9zm0170fb40015f4e2297a144e2b68cfa68",
"storage_info": {
"size": "90.0 KB",
"storage_used": "90.0 KB",
"files_count": 0,
"folders_count": 0,
"size_in_bytes": 92684,
"storage_used_in_bytes": 92684
},
"type": "image",
"created_time_i18": "Apr 13, 12:00 AM",
"modified_time_in_millisecond": 1618252229301,
"opened_time": "Apr 13, 12:00 AM",
"status_change_time": "Apr 13, 12:00 AM",
"download_url": "https://download-accl.zoho.com/v1/workdrive/download/ly9zm4ab06bc0994343c6a24f7b11e3111037",
"comment_badge_count": 0,
"is_app_associated": false,
"created_time": "Apr 13, 12:00 AM",
"lock_status": 2,
"is_folder": false,
"resource_type": 2501,
"is_email_in_upload": false,
"display_attr_name": "Capture.JPG",
"created_by": "Zylker Creation",
"display_html_name": "Capture.JPG",
"labels": [],
"parent_id": "ly9zm0170fb40015f4e2297a144e2b68cfa68",
"name": "Capture.JPG",
"status_change_time_in_millisecond": 1618252229301,
"permalink": "https://www.zohoapis.com/workdrive/file/ly9zm4ab06bc0994343c6a24f7b11e3111037",
"favorite": false,
"new_badge_count": 1,
"status": 1,
"modified_time_i18": "Apr 13, 12:00 AM",
"opened_time_i18": "Apr 13, 12:00 AM",
"extn": "jpg",
"shortcut_link": "",
"status_change_time_i18": "Apr 13, 12:00 AM",
"description": "",
"uploaded_time_in_millisecond": 1618252229303,
"thumbnail_url": "https://previewengine-accl.zoho.com/thumbnail/WD/ly9zm4ab06bc0994343c6a24f7b11e3111037",
"title": "",
"modified_time": "Apr 13, 12:00 AM",
"library_id": "ly9zm0170fb40015f4e2297a144e2b68cfa68",
"icon_class": "img",
"created_time_in_millisecond": 1618252229301,
"owner": "747937818",
"creator": "747938058",
"capabilities": {
"can_read": true,
"can_share": true,
"can_remove_share": false,
"can_delete": false,
"can_edit": true,
"can_upload_files": true,
"can_trash": true,
"can_rename": true,
"can_restore": false,
"can_copy": true,
"can_move": true,
"can_zip": true,
"can_download": true,
"can_emailattach": true,
"can_publish": true,
"can_create_task": true,
"can_share_support": true,
"can_label": true,
"can_checkout": true,
"can_cancel_checkout": false,
"can_discard_checkout": false,
"can_checkin": false,
"can_read_comment": true,
"can_create_comment": true,
"can_trash_files": true
},
"uploaded_time_i18": "Apr 13, 12:00 AM",
"is_external_upload": false,
"watch_preference": {
"watch": false,
"notifyemail": false,
"notifybell": false
},
"opened_time_in_millisecond": 1618252229301,
"edit_badge_count": 0,
"share_data": [],
"uploaded_time": "Apr 13, 12:00 AM",
"has_folders": false,
"service_type": "upload",
"display_url_name": "Capture.JPG",
"is_unread": true,
"modified_by": "Zylker Creation",
"embed_props": {}
},
"relationships": {
"folders": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/relationships/folders",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/folders"
}
},
"comments": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/relationships/comments",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/comments"
}
},
"previewinfo": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/relationships/previewinfo",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/previewinfo"
}
},
"unzip": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/relationships/unzip",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/unzip"
}
},
"publiclink": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/relationships/publiclink",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/publiclink"
}
},
"resourceproperty": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/relationships/resourceproperty",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/resourceproperty"
}
},
"parentfolders": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/relationships/parentfolders",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/parentfolders"
}
},
"shortcut": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/relationships/shortcut",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/shortcut"
}
},
"importfile": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/relationships/importfile",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/importfile"
}
},
"versions": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/relationships/versions",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/versions"
}
},
"supportshare": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/relationships/supportshare",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/supportshare"
}
},
"permissions": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/relationships/permissions",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/permissions"
}
},
"timeline": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/relationships/timeline",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/timeline"
}
},
"files": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/relationships/files",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/files"
}
},
"saveastemplate": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/relationships/saveastemplate",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/saveastemplate"
}
},
"links": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/relationships/links",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/links"
}
},
"copy": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/relationships/copy",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/copy"
}
},
"previewzip": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/relationships/previewzip",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/previewzip"
}
},
"tasks": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/relationships/tasks",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/tasks"
}
},
"breadcrumbs": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/relationships/breadcrumbs",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/breadcrumbs"
}
},
"entity": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/relationships/entity",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/entity"
}
},
"custommetadata": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/relationships/custommetadata",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/custommetadata"
}
},
"statistics": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/relationships/statistics",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/statistics"
}
},
"appdata": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/relationships/appdata",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037/appdata"
}
}
},
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm4ab06bc0994343c6a24f7b11e3111037"
}
}
],
"links": {
"cursor": {
"has_next": true,
"next": "https://www.zohoapis.com/workdrive/api/v1/files/vliy1b942de68431c4b92994025adf85d53fa/files?page[next]=dd1c097d208ec12c5093e359d5859fcce97ddbab18389052caa7d6ed2d6d37b073a8e94e651cfaf15c9c28d46b91b173663e37138b530a40854f2e27a31c"
}
}
}
{
"errors": [
{
"id": "U010",
"title": "User not a part of this zsoid"
}
]
}
{
"errors": [
{
"id": "R008",
"title": "Unauthorized access"
}
]
}
{
"errors": [
{
"id": "I029",
"title": "Requested resource not available in installed team"
}
]
}
{
"errors": [
{
"id": "R017",
"title": "Current plan does not support to perform this API."
}
]
}
{
"errors": [
{
"id": "F000",
"title": "General Exception"
}
]
}
© 2026, Zoho Corporation Pvt. Ltd. All Rights Reserved.